Licence key contains "<"

After upgrading from 5.13 to 6.3 version i get a message

"Bamboo bootstrap failed: Unable to run pre-bootstrap upgrade tasks as your support period has ended. Please contact Atlassian Support at ....".

After getting key from myAtlassian new key contains "<" symbol. 

I've changed old licence.string value to new key and get fillowing error: "Bamboo bootstrap failed: Failed to parse config file: Error on line 26 of document  : Element type "PARTOFBAMBOOKEYAFTER<SYMBOL" must be followed by either attribute specifications, ">" or "/>".

1 answer

1 accepted

This widget could not be displayed.
Elias Zeidan Atlassian Team Jan 04, 2018

Hi Vitaliy,

Thank you for reaching out to the Atlassian Community today!

That error is indeed unexpected when adding a new license key. I'd like to verify the key for your account. Could you please confirm the email that you use to log in to myAtlassian?

In addition, could you please confirm whether the "license.string" line in your bamboo.cfg.xml file looks like the following:

<property name="license.string">The license key here</property>

We may need to see the bamboo.cfg.xml file. If that is the case, I'll create a ticket in our support system on your behalf and send the link here for you to upload it.

Thanks in advance! Please let me know if you have any questions.

Elias

Bamboo Support | Atlassian

Hi Elias!

In addition, could you please confirm whether the "license.string" line in your bamboo.cfg.xml file looks like the following:

yes. it looks like you display

Could you please confirm the email that you use to log in to myAtlassian?

Unfortunately i can't specify email here, but if you get more securable place i will get it. And can i specify SEN instead of email or this information is more private as email?

Elias Zeidan Atlassian Team Jan 04, 2018

Hi Vitaly!

Thanks for your reply. Thanks for confirming that.

Yes, of course, please feel free to send the SEN over. I can use that to look up the key on our side.

Thanks!

Elias

Hi Elias!

SEN-2952243

Hi Vitaly!

Thanks for sending the SEN. I can see the character there indeed. Can you please try encoding the "<" in the license string?

In this case, please replace "<" with "&lt;".

I was able to see this replacement by adding a license key with "<" into my own instance. Please let me know if you run into any issues with this.

Thanks!

Elias

In this case, please replace "<" with "&lt;".

Done, but i'm getting error now : com.atlassian.extras.decoder.api.LicenseDecoderNotFoundException: Could not find any valid decoders in [com.atlassian.extras.decoder.v2.Version2LicenseDecoder@XXXXb0ee, com.atlassian.extras.decoder.v1.Version1LicenseDecoder@38a0XXXX] for license string

should i just copy all license key in 1 line and paste into config in appropriate tag?

Elias Zeidan Atlassian Team Jan 04, 2018

Hi Vitaly!

Thanks for your comment. After looking at the error you sent, it looks like this error can be caused by a few different things.

Could you please review this article to make sure that your license is correctly inserted, or (if needed) follow the workaround to make sure it's read properly:

https://confluence.atlassian.com/bamkb/could-not-find-any-valid-decoders-for-license-string-802171980.html

Thanks!

Elias

Hi Elias! There is no any blank symbols in the begging and end of the key

but i.m confused about key format. it copies with few lines, i split it into 1 and paste in config. Does i missed smth?

Could you send email with key to primary technical contact email?

Elias Zeidan Atlassian Team Jan 04, 2018

Hi Vitaly!

I'm so sorry for missing your last messages.

I was able to reproduce the error that you found.

Please make sure that when you make the license into one line, that all of the newline characters become spaces.

For example, if you copy this from myAtlassian:

AAAAA
BBBBB
CCCCC
DDD

Please make sure it is pasted into the config file as:

AAAAA BBBBB CCCCC DDD

And not this, which will cause the error:

AAAAABBBBBCCCCCDDD

 

Thanks!
Elias

Hi Elias!

Thanks for help. It seems license  validations works for me now, but there is some problem with upgrading :

"Could not load bootstrap from environment: java.lang.NullPointerException".

I find some help for this at

After editing bamboo.cfg.xml Bamboo won't start up

but i don't change any values and my log contains another stacks:

2018-01-05 15:55:36,633 FATAL [localhost-startStop-1] [BootstrapLoaderListener] An error was encountered while bootstrapping Bamboo (see below):
null
java.lang.NullPointerException
    at com.atlassian.bamboo.spring.StrutsContainer.lambda$static$0(StrutsContainer.java:15)
    at io.atlassian.fugue.Suppliers$MemoizingSupplier.get(Suppliers.java:161)
    at com.atlassian.struts.DefaultTextProvider.getTextProvider(DefaultTextProvider.java:188)
    at com.atlassian.struts.DefaultTextProvider.getText(DefaultTextProvider.java:39)
    at com.atlassian.bamboo.setup.DefaultBootstrapManager.runValidationTasks(DefaultBootstrapManager.java:376)
    at com.atlassian.bamboo.setup.DefaultBootstrapManager.performPersistenceUpgrade(DefaultBootstrapManager.java:277)
    at com.atlassian.config.bootstrap.DefaultAtlassianBootstrapManager.init(DefaultAtlassianBootstrapManager.java:77)
    at com.atlassian.bamboo.setup.BootstrapLoaderListener.contextInitialized(BootstrapLoaderListener.java:118)
    at org.apache.catalina.core.StandardContext.listenerStart(StandardContext.java:4842)
    at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5303)
    at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:147)
    at org.apache.catalina.core.ContainerBase$StartChild.call(ContainerBase.java:1407)
    at org.apache.catalina.core.ContainerBase$StartChild.call(ContainerBase.java:1397)
    at java.util.concurrent.FutureTask.run(FutureTask.java:266)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
    at java.lang.Thread.run(Thread.java:745)

 

is this issue fixed in available for downloading version or it will be in the next release?

 

https://jira.atlassian.com/browse/BAM-19588

Hi Vitaly!

For this issue – BAM-19588 – please try upgrading to version 6.2.8 first, and then 6.3.0. Version 6.2.8 can be downloaded from the download archives.

Thanks!
Elias

Hi Elias!

Thanks for help. Upgrade was made and all works fine

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted yesterday in Jira

Atlassian Research Workshop opportunity on Sep. 28th in Austin, TX

We're looking for participants for a workshop at Atlassian! We need Jira admins who have interesting custom workflows, issue views, or boards. Think you have a story to sha...

45 views 2 2
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you